Re: Pending API change

The API changes are available in trunk now (and the online API docs are
being updated right now)

Please fix your tny_camel_account_add_option calls, passing a string
will crash your application (I've added a g_assert, for example, to make
sure everybody's wrong usage will indeed crash load and clear).

On Tue, 2008-04-22 at 11:15 +0200, Philip Van Hoof wrote:
> Hi there,
> These are pending API changes to happen before 1.0 gets released:
> These will make it possible to edit accounts:
> Add: tny_camel_account_get_options (acc, list) where list gets filled up
>      with TnyPair instances
> Add: tny_camel_account_clear_options (acc) or
>      tny_camel_account_remove_option (acc, TnyPair *pair) 
> This one will affect everybody who uses TLS/SSL:
> Change: tny_camel_account_add_option to become a TnyPair rather than a
>         string (it's a key-value string today, that's what TnyPair is
>         made for)
Philip Van Hoof, freelance software developer
home: me at pvanhoof dot be 
gnome: pvanhoof at gnome dot org

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]